package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbUserDiscount;
import com.yongqi.xinrenli.domain.vo.DbUserDiscountVo;
import com.yongqi.xinrenli.domain.bo.DbUserDiscountBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户折扣Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbUserDiscountService {

    /**
     * 查询用户折扣
     */
    DbUserDiscountVo queryById(Long id);

    /**
     * 查询用户折扣列表
     */
    TableDataInfo<DbUserDiscountVo> queryPageList(DbUserDiscountBo bo, PageQuery pageQuery);

    /**
     * 查询用户折扣列表
     */
    List<DbUserDiscountVo> queryList(DbUserDiscountBo bo);

    /**
     * 新增用户折扣
     */
    Boolean insertByBo(DbUserDiscountBo bo);

    /**
     * 修改用户折扣
     */
    Boolean updateByBo(DbUserDiscountBo bo);

    /**
     * 校验并批量删除用户折扣信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
